
QGIS Application - Bug report #2099

The "delete part" and "delete ring" tools work with a sensibility that is taken from the "search radius 

for vertex edits" configuration. Feature or bug?

2009-11-15 09:12 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 12159

Description

We have noticed that under windows (xp, vista, seven) and linux (ubuntu 9.10) the tool just works if ones clicks on a node of the part to be

deleted. Clicking inside of the part doesn't produce any effect. Using trunk, rev. 12096.

We are developing a project with simple polygon layers in a projected CRS (20790 and 20791), project crs 20790, otfr on, a raster loaded

(in the 20790 crs).

History

#1 - 2009-11-25 05:32 AM - Giovanni Manghi

Well, at the end I found that the "delete part" tool (and I suppose also the "delete ring" tool) do works with the same configuration for "search radius for

vertex edits". Is this on purpose?

#2 - 2009-12-09 11:23 AM - Giovanni Manghi

New description:

The "delete part" and "delete ring" tools work with a sensibility that is taken from the "search radius for vertex edits" configuration.

If someone can confirm that this is on purpose than we can close this ticket.

#3 - 2010-01-02 07:23 AM - Marco Hugentobler

- Resolution set to invalid

- Status changed from Open to Closed

I think it makes sense to use the vertex edit tolerance, because with those tools, you select a vertex of the part / ring

#4 - 2010-01-02 08:24 AM - Giovanni Manghi

+1 for me, but is this documented?

#5 - 2010-01-09 03:12 AM - Otto Dassau
I added a note to the documentation in trunk. thanks!
